## signify 1.01

=== Makefile ===

PREFIX = /usr/local

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man
MAN1DIR= $(MANDIR)/man1


default:
	@echo "Make what?  (install, clean, source)"


perlcheck:
	@test -x "`which perl`" || (echo; echo "*** Can't find Perl! ***"; echo; exit 1)
	@p=`which perl`; test "`head -1 $$p | grep \#\!`" = "" || (echo; \
		echo "*** '$$p' is a shell script!"; \
		echo "    edit 'signify' by hand to call perl binary"; \
		echo; )


install: perlcheck
	umask 022; mkdir -p $(MAN1DIR) $(BINDIR)
	perl=`which perl`; sed -e "1s|.*|#! $$perl|" signify.pl >$(BINDIR)/signify
	cp signify.1 $(MAN1DIR)
	chmod 755 $(BINDIR)/signify
	chmod 644 $(MAN1DIR)/signify.1


clean:
	-rm -f stamp-build
	-rm -f debian/files
	-rm -rf debian-tmp
	-rm -f signify.txt
	find . \( -name "#*" -o -name "*~" \) -print | xargs rm -f


source: clean
	umask 022; nroff -man signify.1 | col -b >signify.txt
	DIR=`basename $$PWD`; cd ..; rm -f $$DIR.tar.gz; tar cf - $$DIR | gzip -9 >$$DIR.tar.gz
	DIR=`basename $$PWD`; cd ..; rm -f $$DIR.zip;    zip -r9lq $$DIR.zip $$DIR

=== debian/changelog ===
signify (1.01-1) unstable; urgency=LOW

  * Fixed install rule for less intelligent systems

 -- Brian White <bcwhite@verisim.com>  Web, 9 Oct 1996 23:26:22 +0400

signify (1.00-1) unstable; urgency=LOW

  * First release

 -- Brian White <bcwhite@verisim.com>  Mon, 26 Aug 1996 23:26:22 +0400

=== debian/control ===
Source: signify
Section: mail
Priority: optional
Maintainer: Brian White <bcwhite@verisim.com>

Package: signify
Depends: perl
Architecture: all
Description: Autamatic, semi-random ".signature" generator
 Signify is a neat little program that allows a random signature to be
 generated from a set of rules.  Each section can be one of an unlimited
 number of possibilities, each with its own weighting so those really cool
 quotes can appear more often than others.  Sections can also be placed next
 to each other vertically to create columns.  Each section can be formatted
 independently as left/right/center and top/bottom/vcenter.

=== debian/rules ===
#! /usr/bin/make -f
#
# Debian rules for building "signify" package



package	:= signify
version	:= 1.01
debian	:= 1
arch	:= all



default:
	@echo "What to do?"
	@echo " -  binary  or  source"
	@echo " "


build:
	$(checkdir)
	touch stamp-build



clean:
	$(checkdir)
	-rm -f stamp-build
	-rm -f debian/files
	-rm -rf debian/tmp
	make clean



binary:	build
	-rm -rf debian/tmp
	mkdir -p debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)/Examples
#	cp debian/conffiles debian/tmp/DEBIAN/conffiles
	make install PREFIX=debian/tmp/usr
	cp debian/README debian/tmp/usr/doc/$(package)/Copyright
	cat COPYING >>debian/tmp/usr/doc/$(package)/Copyright
	cp examples/* debian/tmp/usr/doc/$(package)/Examples
	find debian/tmp \( -name "#*" -o -name "*~" \) -print | xargs rm -f
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg-gencontrol -is -ip
	dpkg --build debian/tmp
	dpkg-name -o -s .. debian/tmp.deb



define checkdir
	test -e $(package).pl
endef



dist:	source binary
	@echo " "
	ls -l ../$(package)*_$(version)-$(debian)*
	@echo " "

source:	clean
	chmod +x debian/rules
	cd .. && \
	tar cfh $(package)_$(version)-$(debian).tar $(package)-$(version) && \
	gzip -9vf $(package)_$(version)-$(debian).tar
 
checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary source diff clean clean checkroot distfiles

## signify 1.02-3

=== debian/changelog ===
signify (1.02-3) frozen unstable; urgency=low

  * Fixed typo in package description <sigh>

 -- Brian White <bcwhite@pobox.com>  Wed, 9 Apr 1997 14:35:05 -0400

signify (1.02-2) frozen unstable; urgency=low

  * Forgot to change internal version number (oops!)

 -- Brian White <bcwhite@pobox.com>  Wed, 9 Apr 1997 14:17:08 -0400

signify (1.02-1) unstable; urgency=LOW

  * Strip trailing spaces from generated lines

 -- Brian White <bcwhite@pobox.com>  Sun, 2 Mar 1997 23:06:58 -0500

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 
 package	:= signify
-version	:= 1.01
-debian	:= 1
-arch	:= all
 
 
 
@@ -28,6 +25,7 @@
 	-rm -f stamp-build
 	-rm -f debian/files
 	-rm -rf debian/tmp
+	find . \( -name "#*" -o -name "*~" \) -print | xargs rm -f
 	make clean
 
 
@@ -37,10 +35,9 @@
 	mkdir -p debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)/Examples
 #	cp debian/conffiles debian/tmp/DEBIAN/conffiles
 	make install PREFIX=debian/tmp/usr
-	cp debian/README debian/tmp/usr/doc/$(package)/Copyright
-	cat COPYING >>debian/tmp/usr/doc/$(package)/Copyright
+	cp debian/README debian/tmp/usr/doc/$(package)/copyright
+	cat COPYING >>debian/tmp/usr/doc/$(package)/copyright
 	cp examples/* debian/tmp/usr/doc/$(package)/Examples
-	find debian/tmp \( -name "#*" -o -name "*~" \) -print | xargs rm -f
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg-gencontrol -is -ip

## signify 1.04-1

=== debian/changelog ===
signify (1.04-1) unstable; urgency=low

  * Now ignores SIGPIPE

 -- Brian White <bcwhite@pobox.com>  Sat, 28 Feb 1998 00:29:22 -0500

signify (1.03-2) unstable; urgency=low

  * Added changelog.Debian file (Bug#16266)
  * Compressed examples

 -- Brian White <bcwhite@pobox.com>  Wed, 7 Jan 1998 15:27:19 -0500

signify (1.03-1) unstable; urgency=low

  * New 'exec' section option for inserting the output of programs
  * Support --debug command-line option
  * (above added by Dennis Clark <dbugger@progsoc.uts.edu.au>)
  * Don't strip trailing space from "--" line (#13041,#13042)
  * Added binary-indep and binary-arch targets (#13525)

 -- Brian White <bcwhite@pobox.com>  Sat, 11 Oct 1997 17:01:10 -0400

=== debian/control ===
Source: signify
Section: mail
Priority: optional
Maintainer: Brian White <bcwhite@pobox.com>
Standards-Version: 2.1.3.0

Package: signify
Depends: perl
Architecture: all
Description: Automatic, semi-random ".signature" rotator/generator
 Signify is a neat little program that allows a random signature to be
 generated from a set of rules.  Each "section" can be one of an unlimited
 number of possibilities, each with its own weighting so those really cool
 quotes can appear more often than others.  Sections can also be placed next
 to each other vertically to create columns.  Each section can be formatted
 independently as left/right/center and top/bottom/vcenter.

=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,23 @@
 
 
 
-binary:	build
+binary: binary-arch binary-indep
+
+
+binary-arch: build
+
+
+binary-indep: build
 	-rm -rf debian/tmp
-	mkdir -p debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)/Examples
+	mkdir -p debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)/examples
 #	cp debian/conffiles debian/tmp/DEBIAN/conffiles
 	make install PREFIX=debian/tmp/usr
-	cp debian/README debian/tmp/usr/doc/$(package)/copyright
+	cp README		debian/tmp/usr/doc/$(package)/README
+	cp debian/README	debian/tmp/usr/doc/$(package)/copyright
+	cp debian/changelog	debian/tmp/usr/doc/$(package)/changelog.Debian
 	cat COPYING >>debian/tmp/usr/doc/$(package)/copyright
-	cp examples/* debian/tmp/usr/doc/$(package)/Examples
+	cp examples/* debian/tmp/usr/doc/$(package)/examples
+	cd debian/tmp/usr/doc/$(package); gzip -9fv README changelog.Debian examples/*
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg-gencontrol -is -ip

## signify 1.06-1

=== debian/changelog ===
signify (1.06-1) unstable; urgency=low

  * Made $$ return a single dollar sign
  * Added 'include' funection
  * Updated perl dependency

 -- Brian White <bcwhite@pobox.com>  Tue, 27 Jul 1999 10:04:41 -0400

signify (1.05-1) unstable; urgency=low

  * Added ability to process perl code fragments in-line.

 -- Brian White <bcwhite@pobox.com>  Sun, 17 Jan 1999 23:15:59 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 2.1.3.0
 
 Package: signify
-Depends: perl
+Depends: perl5
 Architecture: all
 Description: Automatic, semi-random ".signature" rotator/generator
  Signify is a neat little program that allows a random signature to be

## signify 1.09-1

=== debian/changelog ===
signify (1.09-1) unstable; urgency=low

  * Added "BLANK" internal variable for creating empty lines

 -- Brian White <bcwhite@pobox.com>  Wed, 23 Jan 2002 08:15:21 -0500

  

signify (1.08-2) unstable; urgency=low

  * Get HOME directory from password file if not available in env (closes: 96570)
  * Added documentation about separating options with commas (closes: 90209)

 -- Brian White <bcwhite@pobox.com>  Thu,  9 Aug 2001 23:15:50 -0400

  

signify (1.07-2) unstable; urgency=low

  * Added documentation about separating options with commas (closes: 90209)

 -- Brian White <bcwhite@pobox.com>  Sun, 22 Apr 2001 11:48:00 -0400

signify (1.07-1) unstable; urgency=low

  * Update standards-version (closes: 81479)
  * Fixed MakeFifo to support ~ at start of fifo name
  * Fixed fifo lockfile to handle simultaneous logins and multiple machines

 -- Brian White <bcwhite@pobox.com>  Sat, 13 Jan 2001 22:54:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Brian White <bcwhite@pobox.com>
-Standards-Version: 2.1.3.0
+Standards-Version: 3.1.1.1
 
 Package: signify
 Depends: perl5

=== debian/rules ===
--- 
+++ 
@@ -38,15 +38,16 @@
 
 binary-indep: build
 	-rm -rf debian/tmp
-	mkdir -p debian/tmp debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)/examples
+	mkdir -p debian/tmp debian/tmp/DEBIAN debian/tmp/usr/share/doc/$(package)/examples
 #	cp debian/conffiles debian/tmp/DEBIAN/conffiles
-	make install PREFIX=debian/tmp/usr
-	cp README		debian/tmp/usr/doc/$(package)/README
-	cp debian/README	debian/tmp/usr/doc/$(package)/copyright
-	cp debian/changelog	debian/tmp/usr/doc/$(package)/changelog.Debian
-	cat COPYING >>debian/tmp/usr/doc/$(package)/copyright
-	cp examples/* debian/tmp/usr/doc/$(package)/examples
-	cd debian/tmp/usr/doc/$(package); gzip -9fv README changelog.Debian examples/*
+	make install PREFIX=debian/tmp/usr MANDIR=debian/tmp/usr/share/man
+	cp README		debian/tmp/usr/share/doc/$(package)/README
+	cp debian/README	debian/tmp/usr/share/doc/$(package)/copyright
+	cp debian/changelog	debian/tmp/usr/share/doc/$(package)/changelog.Debian
+	cat COPYING >>debian/tmp/usr/share/doc/$(package)/copyright
+	cp examples/* debian/tmp/usr/share/doc/$(package)/examples
+	cd debian/tmp/usr/share/doc/$(package); gzip -9fv README changelog.Debian examples/*
+	cd debian/tmp/usr/share/man; gzip -9fv */*
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg-gencontrol -is -ip
@@ -71,7 +72,7 @@
 	cd .. && \
 	tar cfh $(package)_$(version)-$(debian).tar $(package)-$(version) && \
 	gzip -9vf $(package)_$(version)-$(debian).tar
- 
+
 checkroot:
 	$(checkdir)
 	test root = "`whoami`"

## signify 1.14

=== debian/changelog ===
signify (1.14-7) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added perl autopkgtest.
      - Created VCS fields to use Salsa.
      - Updated perl dependency in binary stanza.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Fri, 05 Jun 2020 16:06:41 -0300

signify (1.14-6) unstable; urgency=medium

  * QA upload.
  * debian/upstream/metadata: Created.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Thu, 21 May 2020 09:13:27 -0300

signify (1.14-5) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
  * debian/copyright:
      - Fixed format-uri to use https.
      - Fixed typo.
  * debian/patches/spelling:
      - Fixed typo.
  * debian/tests/*:
      - Created to provide a CI test.
  * debian/watch:
      - Created.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Tue, 19 May 2020 18:41:15 -0300

signify (1.14-4) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Sat, 16 May 2020 19:41:50 -0300

signify (1.14-3) unstable; urgency=medium

  * QA upload.
  * Use source format 3.0 (quilt).
    + apparently the package was treated as native, even if it had a debian
      revision number and had an upstream site with an upstream tarball.
      Let's use last .tar.gz from the last upload as orig tarball.
  * Use copyright format 1.0.
  * Rewrite debian/rules using short dh format.
    + Add a build-depends on debhelper.
    + debhelper compat level to 9.
    + This obsolates the reproducible builds patches closes: #777062, #793721.
  * Makefile:
    + Don't set PREFIX if it is already set.
    + Install the manpages in /usr/share, following FHS.
  * fix typo s/writting/writing/ in the manpage.
  * Move website to the Homepage field.
  * Remove several useless files from debian/ and CVS control dirs.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 23 Dec 2015 12:56:54 +0000

signify (1.14-2) unstable; urgency=high

  * QA upload
  * Set Maintainer to Debian QA Group
  * Change dependency on perl5 to perl following the removal of
    the former (Closes: #808234)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 17 Dec 2015 14:17:59 +0000

signify (1.14-1) unstable; urgency=low

  * improved handling of existing signify process

 -- Brian White <bcwhite@pobox.com>  Wed,  5 May 2004 08:03:51 -0400

signify (1.13-1) unstable; urgency=low

  * fix spurious "." occurring on stderr (closes: #242359)

 -- Brian White <bcwhite@pobox.com>  Wed,  7 Apr 2004 08:07:27 -0400

signify (1.12-1) unstable; urgency=low

  * make NMU fixes official (closes: #190526, #211555)

 -- Brian White <bcwhite@pobox.com>  Sun, 23 Feb 2003 12:42:07 -0500

signify (1.11-1.2) unstable; urgency=low

  * NMU.
  * Added support for UTF-8 (Closes: #211555)
  * Dropped csh requirement by using "which" from debianutils.

 -- Erich Schubert <erich@debian.org>  Sat, 27 Sep 2003 22:38:08 +0200

signify (1.11-1) unstable; urgency=low

  * don't remove fifo upon exit (may be in use across multiple machines)

 -- Brian White <bcwhite@pobox.com>  Sun, 23 Feb 2003 12:42:07 -0500

signify (1.10-1) unstable; urgency=low

  * remove fifo and lockfile upon exit (closes: #96754)
  * use perl's Sys::Hostname to get host name (closes: #164045)

 -- Brian White <bcwhite@pobox.com>  Mon,  4 Nov 2002 23:24:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: signify
 Section: mail
 Priority: optional
-Maintainer: Brian White <bcwhite@pobox.com>
-Standards-Version: 3.1.1.1
+Build-Depends: debhelper-compat (= 13)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Testsuite: autopkgtest-pkg-perl
+Vcs-Browser: https://salsa.debian.org/debian/signify
+Vcs-Git: https://salsa.debian.org/debian/signify.git
+Homepage: http://signify.sf.net
 
 Package: signify
-Depends: perl5
+Depends: ${misc:Depends}, ${perl:Depends}
 Architecture: all
 Description: Automatic, semi-random ".signature" rotator/generator
  Signify is a neat little program that allows a random signature to be

=== debian/rules ===
#! /usr/bin/make -f

p := signify

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/$p/usr/

override_dh_installdocs:
	dh_installdocs
	rm -frv $(CURDIR)/debian/$p/usr/share/doc/$p/examples/CVS

=== debian/tests/control ===
Test-Command: signify --input=debian/tests/files/filetest.txt

=== debian/watch ===
version=4
https://sf.net/signify/signify-(\d\S+)\.tar\.(?:bz2|gz|xz)

## signify 1.14-1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 clean:
 	-rm -f stamp-build
 	-rm -f debian/files
-	-rm -rf debian-tmp
+	-rm -rf debian/tmp
 	-rm -f signify.txt
 	find . \( -name "#*" -o -name "*~" \) -print | xargs rm -f

=== debian/rules ===
#! /usr/bin/make -f
#
# Debian rules for building "signify" package



package	:= signify



default:
	@echo "What to do?"
	@echo " -  binary  or  source"
	@echo " "


build:
	$(checkdir)
	touch stamp-build



clean:
	$(checkdir)
	-rm -f stamp-build
	-rm -f debian/files
	-rm -rf debian/tmp
	find . \( -name "#*" -o -name "*~" \) -print | xargs rm -f
	make clean



binary: binary-arch binary-indep


binary-arch: build


binary-indep: build
	-rm -rf debian/tmp
	mkdir -p debian/tmp debian/tmp/DEBIAN debian/tmp/usr/share/doc/$(package)/examples
#	cp debian/conffiles debian/tmp/DEBIAN/conffiles
	make install PREFIX=debian/tmp/usr MANDIR=debian/tmp/usr/share/man
	cp README		debian/tmp/usr/share/doc/$(package)/README
	cp debian/README	debian/tmp/usr/share/doc/$(package)/copyright
	cp debian/changelog	debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cat COPYING >>debian/tmp/usr/share/doc/$(package)/copyright
	cp -a examples/* debian/tmp/usr/share/doc/$(package)/examples
	find debian/tmp/ -name CVS | xargs -r rm -rf
	cd debian/tmp/usr/share/doc/$(package); gzip -9fv README changelog.Debian examples/*
	cd debian/tmp/usr/share/man; gzip -9fv */*
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg-gencontrol -is -ip
	dpkg --build debian/tmp
	dpkg-name -o -s .. debian/tmp.deb



define checkdir
	test -e $(package).pl
endef



dist:	source binary
	@echo " "
	ls -l ../$(package)*_$(version)-$(debian)*
	@echo " "

source:	clean
	chmod +x debian/rules
	cd .. && \
	tar cfh $(package)_$(version)-$(debian).tar $(package)-$(version) && \
	gzip -9vf $(package)_$(version)-$(debian).tar

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary source diff clean clean checkroot distfiles
